SplPriorityQueue
SPL Types
SplPriorityQueue
PHP Manual

# SplPriorityQueue::valid

(No version information available, might be only in CVS)

SplPriorityQueue::valid — Check whether the queue contains more nodes

### Description

bool SplPriorityQueue::valid ( void )

Checks if the queue contains any more nodes.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the queue contains any more nodes, `FALSE` otherwise.

SplPriorityQueue
SPL Types
SplPriorityQueue
PHP Manual